package com.ruoyi.ems.domain;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 排放因子维对象 dim_ems_emission_factor
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmissionFactor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 地区码 */
    @Excel(name = "地区码")
    private String regionCode;

    /** 地区名称 */
    @Excel(name = "地区名称")
    private String regionName;

    /** 地区类型 0：国家，1：地区，2：省份，3：城市 */
    @Excel(name = "地区类型")
    private Long regionType;

    /** 因子值 单位: kgCO2/kWh */
    @Excel(name = "因子值(单位: kgCO2/kWh)")
    private Double factorValue;

    /** 因子类型
     * 1：电力平均二氧化碳排放因子
     * 2：电力平均二氧化碳排放因子（不含市场化交易的非化石能源电量）
     * 3：化石能源电力二氧化碳排放因子
     */
    @Excel(name = "因子类型")
    private Long factorType;

    /** 数据版本 */
    @Excel(name = "数据版本")
    private String version;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRegionCode(String regionCode) 
    {
        this.regionCode = regionCode;
    }

    public String getRegionCode() 
    {
        return regionCode;
    }
    public void setRegionName(String regionName) 
    {
        this.regionName = regionName;
    }

    public String getRegionName() 
    {
        return regionName;
    }
    public void setRegionType(Long regionType) 
    {
        this.regionType = regionType;
    }

    public Long getRegionType() 
    {
        return regionType;
    }
    public void setFactorValue(Double factorValue)
    {
        this.factorValue = factorValue;
    }

    public Double getFactorValue()
    {
        return factorValue;
    }
    public void setFactorType(Long factorType) 
    {
        this.factorType = factorType;
    }

    public Long getFactorType() 
    {
        return factorType;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("regionCode", getRegionCode())
            .append("regionName", getRegionName())
            .append("regionType", getRegionType())
            .append("factorValue", getFactorValue())
            .append("factorType", getFactorType())
            .append("version", getVersion())
            .toString();
    }
}
